package com.fs.watch.service;

import com.fs.watch.domain.WatchHeartRateData;
import com.fs.watch.domain.vo.WatchHeartRateDataVo;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_heart_rate_data(设备心率数据)】的数据库操作Service
* @createDate 2024-10-15 11:06:50
*/
public interface WatchHeartRateDataService{

    Boolean insert(WatchHeartRateData data);

    WatchHeartRateData queryByDeviceId(String deviceId);

    WatchHeartRateDataVo queryByDate(String date, String deviceId);

    WatchHeartRateDataVo list(Date startTime, Date endTime, String deviceId);

    WatchHeartRateData getLatest(String deviceId);

    int countHeartRateByDate(Date startTime, Date endTime, String deviceId);

    List<WatchHeartRateData> queryHeartPageByDate(Date startTime, Date endTime, String deviceId, Integer pageNum,
                                                  Integer pageSize);

    Integer getStatus(int maxBpm, int minBpm);

    List<Map<String, Object>> countHeartByDate(Date startTime, Date endTime, String deviceId);
}
